export PATH=$PATH:/home/jdeanton/install/cadp/2021/installation/bin.x64/:/home/jdeanton/install/cadp/2021/installation/com/
export CADP=~/install/cadp/2021/installation

Green='\033[0;32m'
RED='\033[0;31m'
NC='\033[0m' # No Color
if [[ $# -ne 2 ]]; then
  echo -e "${RED}usage ./evaluatePropOnLTS ltsModelFile.aut propertiesFile.mcl${NC}"
  exit
fi

mkdir -p build
cd build
cp ../macros.mcl .
bcg_io ../$1 `echo $1 |sed -e 's/aut/bcg/g'` 
bcg_open -cc "-w" $(echo $1 | sed -e 's/.aut//g') evaluator4 -diag diagnostic.bcg ../$2
bcg_io -cc "-w" diagnostic.bcg -graphviz diagnostic.dot 
dot -Tpdf diagnostic.dot > diagnostic.pdf
cd ..
